
package de.ivu.elect.presentation.niederschrift.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.niederschrift.entity.Niederschrift;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(NiederschriftActionMenu.COMPONENT_NAME)
public class NiederschriftActionMenu extends AbstractActionMenuModelBuilder<Niederschrift> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftActionMenu";

  @Inject
  private transient NiederschriftNiederschriftStatusAenderungSearchAction niederschriftNiederschriftStatusAenderungSearchAction;

  public NiederschriftActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Niederschrift>> getActionEntriesSorted() {
    List<ActionEntry<Niederschrift>> result = new ArrayList<>();

    result.add(niederschriftNiederschriftStatusAenderungSearchAction);

    return result;
  }
}
